Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Lists all workspace tools. By default, returns all tools in a single response. Set limit to enable cursor-based pagination with starting_after and ending_before.
curl --request GET \
--url https://api.orq.ai/v2/tools \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"path": "Default",
"key": "<string>",
"description": "<string>",
"project_id": "<string>",
"workspace_id": "<string>",
"created": "<string>",
"updated": "<string>",
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"strict": true,
"parameters": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
}
},
"_id": "tool_01KPTAPD6M7DMHXB4038SDS8H5",
"display_name": "<string>",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"status": "live"
}
],
"has_more": true
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Maximum number of tools per page (1-200). Omit to return all tools.
1 <= x <= 200A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with 01JJ1HDHN79XAS7A01WB3HYSDB, your subsequent call can include after=01JJ1HDHN79XAS7A01WB3HYSDB in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with 01JJ1HDHN79XAS7A01WB3HYSDB, your subsequent call can include before=01JJ1HDHN79XAS7A01WB3HYSDB in order to fetch the previous page of the list.
Successfully retrieved the list of tools.
list A custom function tool that allows the model to call predefined functions with structured parameters.
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.orq.ai/v2/tools \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"path": "Default",
"key": "<string>",
"description": "<string>",
"project_id": "<string>",
"workspace_id": "<string>",
"created": "<string>",
"updated": "<string>",
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"strict": true,
"parameters": {
"type": "object",
"properties": {},
"required": [
"<string>"
]
}
},
"_id": "tool_01KPTAPD6M7DMHXB4038SDS8H5",
"display_name": "<string>",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"status": "live"
}
],
"has_more": true
}